## org.apache.http.nio.protocol
Class AsyncNHttpServiceHandler.ServerConnState

    java.lang.Object
      org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ServerConnState

Enclosing class:
  AsyncNHttpServiceHandler

    protected static class AsyncNHttpServiceHandler.ServerConnState

extends Object

Constructor Summary
`protected` `AsyncNHttpServiceHandler.ServerConnState()`

Method Summary
`void` `finishInput()`
`void` `finishOutput()`
`ConsumingNHttpEntity` `getConsumingEntity()`
`HttpException` `getHttpException()`
`HttpException` `getHttpExepction()`
`IOException` `getIOException()`
`IOException` `getIOExepction()`
`ProducingNHttpEntity` `getProducingEntity()`
`HttpRequest` `getRequest()`
`NHttpRequestHandler` `getRequestHandler()`
`HttpResponse` `getResponse()`
`boolean` `isHandled()`
`void` `reset()`
`void` `setConsumingEntity(ConsumingNHttpEntity consumingEntity)`
`void` `setHandled(boolean handled)`
`void` `setHttpException(HttpException ex)`
`void` `setHttpExepction(HttpException ex)`
`void` `setIOException(IOException ex)`
`void` `setIOExepction(IOException ex)`
`void` `setProducingEntity(ProducingNHttpEntity producingEntity)`
`void` `setRequest(HttpRequest request)`
`void` `setRequestHandler(NHttpRequestHandler requestHandler)`
`void` `setResponse(HttpResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncNHttpServiceHandler.ServerConnState

    protected AsyncNHttpServiceHandler.ServerConnState()

Method Detail

### finishInput

    public void finishInput()
                     throws IOException

  Throws:
    `IOException`

### finishOutput

    public void finishOutput()
                      throws IOException

  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Throws:
    `IOException`

### getRequestHandler

    public NHttpRequestHandler getRequestHandler()

### setRequestHandler

    public void setRequestHandler(NHttpRequestHandler requestHandler)

### getRequest

    public HttpRequest getRequest()

### setRequest

    public void setRequest(HttpRequest request)

### getConsumingEntity

    public ConsumingNHttpEntity getConsumingEntity()

### setConsumingEntity

    public void setConsumingEntity(ConsumingNHttpEntity consumingEntity)

### getResponse

    public HttpResponse getResponse()

### setResponse

    public void setResponse(HttpResponse response)

### getProducingEntity

    public ProducingNHttpEntity getProducingEntity()

### setProducingEntity

    public void setProducingEntity(ProducingNHttpEntity producingEntity)

### getIOException

    public IOException getIOException()

### getIOExepction

    public IOException getIOExepction()

### setIOException

    public void setIOException(IOException ex)

### setIOExepction

    public void setIOExepction(IOException ex)

### getHttpException

    public HttpException getHttpException()

### getHttpExepction

    public HttpException getHttpExepction()

### setHttpException

    public void setHttpException(HttpException ex)

### setHttpExepction

    public void setHttpExepction(HttpException ex)

### isHandled

    public boolean isHandled()

### setHandled

    public void setHandled(boolean handled)

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.